import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { store } from './store'
// import 'amfe-flexible' // rem 布局适配
// import 'amfe-flexible/index.js'
import '@/utils/flexible.js'
import '@/styles/index.scss'
import { Toast, Icon, Tab, Tabs, Loading, Popup } from 'vant'
import '@/permission'

const app = createApp(App)
app.config.globalProperties.$toast = Toast
app
  .use(Toast).use(Icon)
  .use(Tabs)
  .use(Tab)
  .use(Loading)
  .use(Popup)
  .use(store)
  .use(router)
  .mount('#app')
